#521 Update Java packaging guidelines to reflect current package names
Closed: Fixed None Opened 4 years ago by jgu.

Currently the packaging guidelines for Java packages say this under the BuildRequires and Requires section:

Java binary packages or their dependencies MUST have Requires (generated by RPM or manual) on:

java-headless or java-headless >= 1:minimal_required_version
jpackage-utils

However, on modern Fedora, the jpackage-utils package has been renamed to javapackages-tools (which obsoletes and provides jpackage-utils). So, moving forward, really the guidelines should be updates to reflect this. I propose changing the bullet point which is currently jpackage-utils to javapackages-tools. I haven't made a draft for this trivial one word change.


I've gone ahead and made this change; javapackages-tools is available in all supported Fedora versions.

Thanks for letting us know.

Login to comment on this ticket.

Metadata